Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.interceptors
Class AdminPermissionCheckInterceptor

    java.lang.Object
      com.atlassian.bamboo.ww2.interceptors.AbstractBambooInterceptor
          com.atlassian.bamboo.ww2.interceptors.AbstractPermissionCheckInterceptor
              com.atlassian.bamboo.ww2.interceptors.AdminPermissionCheckInterceptor

    public class AdminPermissionCheckInterceptor

extends AbstractPermissionCheckInterceptor

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.interceptors.AbstractPermissionCheckInterceptor
`authenticationContext, permissionManager`

Constructor Summary
`AdminPermissionCheckInterceptor()`
`AdminPermissionCheckInterceptor(BambooAuthenticationContext authenticationContext, PermissionManager permissionManager)`

Method Summary
`protected Permission` | `getPermissionToCheck()`

Methods inherited from class com.atlassian.bamboo.ww2.interceptors.AbstractPermissionCheckInterceptor
`intercept, setAuthenticationContext, setPermissionManager`

Methods inherited from class com.atlassian.bamboo.ww2.interceptors.AbstractBambooInterceptor
`destroy, getParameter, getParameterAsInt, hasParameter, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminPermissionCheckInterceptor

    public AdminPermissionCheckInterceptor()

### AdminPermissionCheckInterceptor

    public AdminPermissionCheckInterceptor(BambooAuthenticationContext authenticationContext,
                                           PermissionManager permissionManager)

Method Detail

### getPermissionToCheck

    protected Permission getPermissionToCheck()

  Specified by:
    `getPermissionToCheck` in class `AbstractPermissionCheckInterceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.